# Uses of Class
com.sun.source.util.JavacTask

Packages that use JavacTask
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of JavacTask in com.sun.source.util

Methods in com.sun.source.util that return JavacTask
Modifier and Type
Method
Description
`static JavacTask`
JavacTask.`instance(ProcessingEnvironment processingEnvironment)`
Returns the `JavacTask` for a `ProcessingEnvironment`.
Methods in com.sun.source.util with parameters of type JavacTask
Modifier and Type
Method
Description
`void`
Plugin.`init(JavacTask task, String... args)`
Initializes the plug-in for a given compilation task.